set(IAITO_DIR_NAME "RadareOrg/iaito")
if(WIN32)
    set(CMAKE_INSTALL_BINDIR "." CACHE PATH "Executable install directory")
    set(CMAKE_INSTALL_INCLUDEDIR "include" CACHE PATH "Include install directory")
    set(CMAKE_INSTALL_LIBDIR "lib" CACHE PATH "Library install directory")
    set(CMAKE_INSTALL_DATAROOTDIR "./" CACHE PATH "Resource installation directory")
    set(IAITO_INSTALL_DATADIR "${CMAKE_INSTALL_DATAROOTDIR}" CACHE PATH "Resource installation directory")
elseif(APPLE)
    if (IAITO_ENABLE_PACKAGING)
        set(CMAKE_INSTALL_INCLUDEDIR "include" CACHE PATH "Include install directory")
        set(CMAKE_INSTALL_LIBDIR "lib" CACHE PATH "Library install directory")
        set(CMAKE_INSTALL_DATAROOTDIR "./" CACHE PATH "Resource installation directory")
        set(CMAKE_INSTALL_BINDIR "../MacOS" CACHE PATH "Executable install directory") # BUNDLE step sets prefix to Resources
        set(IAITO_INSTALL_DATADIR "${CMAKE_INSTALL_DATAROOTDIR}" CACHE PATH "Resource installation directory")
    else()
        include(GNUInstallDirs)
        set(IAITO_INSTALL_DATADIR "${CMAKE_INSTALL_DATAROOTDIR}/${IAITO_DIR_NAME}" CACHE PATH "Resource installation directory")
    endif()
else()
    include(GNUInstallDirs)
    set(IAITO_INSTALL_DATADIR "${CMAKE_INSTALL_DATAROOTDIR}/${IAITO_DIR_NAME}" CACHE PATH "Resource installation directory")
endif()
set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/iaito" CACHE PATH "Cmake file install location")
